org.apache.ignite.internal.processors.platform.websession

## Class PlatformDotNetSessionSetAndUnlockProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.websession.PlatformDotNetSessionSetAndUnlockProcessor

All Implemented Interfaces:
  Serializable, javax.cache.processor.EntryProcessor<String,PlatformDotNetSessionData,Void>, Binarylizable, CacheEntryProcessor<String,PlatformDotNetSessionData,Void>

    public class PlatformDotNetSessionSetAndUnlockProcessor
    extends Object
    implements CacheEntryProcessor<String,PlatformDotNetSessionData,Void>, Binarylizable

Processor to unlock and optionally update the session.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetSessionSetAndUnlockProcessor(PlatformDotNetSessionData data)` Constructor for unlock/update.
`PlatformDotNetSessionSetAndUnlockProcessor(UUID lockNodeId, long lockId)` Constructor for unlock.
`PlatformDotNetSessionSetAndUnlockProcessor(UUID lockNodeId, long lockId, boolean update, Map<String,byte[]> items, boolean isDiff, byte[] staticData, int timeout)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `process(javax.cache.processor.MutableEntry<String,PlatformDotNetSessionData> entry, Object... args)`
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetSessionSetAndUnlockProcessor

    public PlatformDotNetSessionSetAndUnlockProcessor(UUID lockNodeId,
                                                      long lockId)

Constructor for unlock.

Parameters:
  `lockNodeId` - Lock node ID.
  `lockId` - Lock ID.

#### PlatformDotNetSessionSetAndUnlockProcessor

    public PlatformDotNetSessionSetAndUnlockProcessor(PlatformDotNetSessionData data)

Constructor for unlock/update.

Parameters:
  `data` - Data.

#### PlatformDotNetSessionSetAndUnlockProcessor

    public PlatformDotNetSessionSetAndUnlockProcessor(UUID lockNodeId,
                                                      long lockId,
                                                      boolean update,
                                                      Map<String,byte[]> items,
                                                      boolean isDiff,
                                                      byte[] staticData,
                                                      int timeout)

Constructor.

Parameters:
  `lockNodeId` - Lock node ID.
  `lockId` - Lock ID.
  `update` - Whether to perform update.
  `items` - Items.
  `isDiff` - Whether items is a diff.
  `staticData` - Static data.
  `timeout` - Timeout.

### Method Detail

#### process

    public Void process(javax.cache.processor.MutableEntry<String,PlatformDotNetSessionData> entry,
                        Object... args)
                 throws javax.cache.processor.EntryProcessorException

Specified by:
  `process` in interface `javax.cache.processor.EntryProcessor<String,PlatformDotNetSessionData,Void>`
Throws:
  `javax.cache.processor.EntryProcessorException`

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020